<?php

// START APPOINTMENT SECTION 
$section = 'faq_section';
$wp_customize->add_section(
	$section,
	array(
		'title'   => __( 'Faq Section', 'Luzuk' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
$wp_customize->add_setting(
    'faq_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'faq_section_disable',
        array(
            'settings'      => 'faq_section_disable',
            'section'       => $section,
            'label'         => __( 'Disable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'faq_sec', $section, $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'faq_sectionnpadding', 'faq_section', 'Section Padding');

$wp_customize->add_setting(
    'faqsec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_toppadding',
    array(
        'settings'      => 'faqsec_toppadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Top ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faqsec_bpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faqsec_bpadding',
    array(
        'settings'      => 'faqsec_bpadding',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Bottom ', 'luzuk-premium' )
    )
);

// width
lzCustomLable($wp_customize, 'faqarea_conwidth', 'faq_section', 'Section Width ');

$wp_customize->add_setting('faq_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container-fluid'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'faq_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'faq_section', // Replace with your actual section ID
    'settings' => 'faq_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );


lzCustomLable($wp_customize, 'faq_lhsbx', 'faq_section', 'Section Sub Heading & Heading');

// ***************************
// sub heading Style
lzCustomLable($wp_customize, 'faq_subheadingcase', 'faq_section', 'Sub Heading Style');

$wp_customize->add_setting('faq_subtitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'faq_subtitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'faq_section', // Replace with your actual section ID
    'settings' => 'faq_subtitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


$wp_customize->add_setting(
    'faq_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Faq’s ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'faq_subtitle',
    array(
        'settings'      => 'faq_subtitle',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
); 

addColorPalatOption($wp_customize, 'faq_subHeading', 'faq_section', 'Sub Heading Color', '#505050');

addColorPalatOption($wp_customize, 'faq_subHeadingbrd', 'faq_section', 'Sub Heading Border Color', '#BCBCBC');


// heading Style
lzCustomLable($wp_customize, 'faq_headingcase', 'faq_section', 'Heading Style');

$wp_customize->add_setting('faq_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'faq_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'faq_section', // Replace with your actual section ID
    'settings' => 'faq_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


$wp_customize->add_setting(
    'faq_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Common Qs', 'luzuk' )
    )
);
$wp_customize->add_control(
    'faq_heading',
    array(
        'settings'      => 'faq_heading',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'faq_secheadingClr', 'faq_section', 'Heading Color', '#000');


$wp_customize->add_setting(
    'faq_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "Get quick answers about working with us and our approach to digital solutions. Can’t find what you’re looking for? Reach out below!", 'luzuk' )
    )
);
$wp_customize->add_control(
    'faq_txt',
    array(
        'settings'      => 'faq_txt',
        'section'       => 'faq_section',
        'type'          => 'textarea',
        'label'         => __( "Heading Text ", 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'faq_headingtxtClr', 'faq_section', 'Heading Text Color', '#575757');

lzCustomLable($wp_customize, 'feasec_btnclr', 'faq_section' , 'Section Button');

$wp_customize->add_setting(
    'faqbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'faqbtn_text',
    array(
        'settings'      => 'faqbtn_text',
        'section'       => 'faq_section',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('faqbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('faqbtnlink',
    array(
        'settings'      => 'faqbtnlink',
        'section'       => 'faq_section',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'feadec_btntxtclr', 'faq_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'feadec_btntxthvclr', 'faq_section', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'feadec_btnBGclr', 'faq_section', 'Button BG Color', '#1B4446');

addColorPalatOption($wp_customize, 'feadec_btnBGhvclr', 'faq_section', 'Button BG Hover Color', '#456c6f');



lzCustomLable($wp_customize, 'faq_secOddclr', 'faq_section', 'Section Color ');

addColorPalatOption($wp_customize, 'faqsec_titleColor', 'faq_section', 'Select Question Text Color', '#000');

addColorPalatOption($wp_customize, 'faqsec_titleboxbgClr', 'faq_section', 'Question Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'faqsec_titleboxbghvClr', 'faq_section', 'Question Box BG Active Color', '#EBF5F5');

addColorPalatOption($wp_customize, 'faqsec_titleIconClr', 'faq_section', 'Question Icon Color', '#000');

addColorPalatOption($wp_customize, 'faqsec_texbgClr', 'faq_section', 'Select Answer Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'faqsec_textcColor', 'faq_section', 'Select Answer Text Color', '#1B4446');


